/* string_utils.C

   Copyright (C) 1999 by David Rose.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

   To contact the original author of this program, write to:
           David Rose
           224 W. Dryden St Apt. 418
	   Glendale, CA 91202
	   USA

	   drose@lafn.org
   */

#include "system.h"
#include "string_utils.h"
#include <ctype.h>

string
trim_blanks(const string &str) {
  int first, last;

  first = 0;
  while (first < str.length() && isspace(str[first])) {
    first++;
  }

  last = str.length() - 1;
  while (last > first && isspace(str[last])) {
    last--;
  }

  return str.substr(first, last - first + 1);
}

  
string
make_upper(const string &str) {
  string u = str;
  for (int i = 0; i < u.length(); i++) {
    u[i] = toupper(u[i]);
  }
  return u;
}

int 
nocasecmp(const string &a, const string &b) {
  for (int i = 0; i < a.length() && i < b.length(); i++) {
    char ac = toupper(a[i]);
    char bc = toupper(b[i]);
    if (ac != bc) {
      return (int)ac - (int)bc;
    }
  }

  return (int)a.length() - (int)b.length();
}
